# Return Greylisting status for domains

This function returns Greylisting's status for a cPanel account's domains.

Endpoint: GET /cPGreyList/list_domains
Version: 11.138.0.10
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_domains"

  - `module` (string)
    The name of the module called.
    Example: "cPGreyList"

  - `result` (object)

  - `result.data` (array)

  - `result.data.cPGreyList` (object)
    An object that contains the number of domains with Greylisting enabled or disabled.

  - `result.data.cPGreyList.total_disabled` (integer)
    The number of domains with Greylisting disabled.
    Example: 1

  - `result.data.cPGreyList.total_enabled` (integer)
    The number of domains with Greylisting enabled.

  - `result.data.dependencies` (array)
    An array of domains that your changes to a selected domain will affect.
    Example: ["this.com","that.com","theother.com"]

  - `result.data.domain` (string)
    The domain.
    Example: "example.com"

  - `result.data.enabled` (integer)
    Whether Greylisting is enabled.
* 1 — Enabled.
* 0 — Disabled.
    Enum: 0, 1

  - `result.data.searchhint` (string)
    A comma-separated list of domain-related search terms.
    Example: "this, that, and the other."

  - `result.data.type` (string)
    The domain type.
* main — A main domain.
* sub — A subdomain.
    Enum: "main", "sub"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


